From 8b17cc9723b026a87ca34d28bad0b15b6797e147 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hugo=20Beauz=C3=A9e-Luyssen?= <beauze.h@gmail.com>
Date: Mon, 28 Nov 2011 17:21:02 +0100
Subject: [PATCH 01/11] dash: MPD manager factory: fixing a potential memory
 leak

---
 .../stream_filter/dash/mpd/MPDManagerFactory.cpp   |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

diff --git a/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp b/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp
index 9412acf..e3cbca1 100644
--- a/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp
+++ b/modules/stream_filter/dash/mpd/MPDManagerFactory.cpp
@@ -45,14 +45,12 @@ IMPDManager* MPDManagerFactory::create                  (Profile profile, Node *
 
 IMPDManager* MPDManagerFactory::createBasicCMManager    (Node *root)
 {
-    BasicCMParser *parser = new BasicCMParser(root);
+    BasicCMParser parser(root);
 
-    if(!parser->parse())
+    if(!parser.parse())
         return new NullManager();
 
-    BasicCMManager *manager =  new BasicCMManager(parser->getMPD());
-
-    delete(parser);
+    BasicCMManager *manager =  new BasicCMManager(parser.getMPD());
 
     return manager;
 }
-- 
1.7.7.4

